Get automated communication history filter options
curl --request GET \
--url https://api.hub.younegotiate.com/automated-communication-history/filter-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/automated-communication-history/filter-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/automated-communication-history/filter-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"template_types": [
{
"label": "Email"
}
],
"statuses": [
{
"label": "Success"
}
],
"sources": [
{
"label": "Super - auto"
}
],
"companies": [
{
"id": 123,
"company_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"subclients": [
{
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Get automated communication history filter options
Fetch template type, status, source, company, and sub account options for the Superadmin automated communication history filters.
GET
/
automated-communication-history
/
filter-options
Get automated communication history filter options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Company ID used to return matching sub account options.
Response
Automated communication history filter options returned.
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I

